AbsDiffC
Arithmetic Operations

Determines absolute difference between each pixel of an image and a constant value. More...

## Functions

NppStatus | nppiAbsDiffC_8u_C1R_Ctx (const Npp8u *pSrc1, int nSrc1Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp8u nConstant, NppStreamContext nppStreamCtx)
| One 8-bit unsigned char channel image absolute difference with constant. More...
NppStatus | nppiAbsDiffC_8u_C1R (const Npp8u *pSrc1, int nSrc1Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp8u nConstant)
NppStatus | nppiAbsDiffC_16u_C1R_Ctx (const Npp16u *pSrc1, int nSrc1Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, Npp16u nConstant, NppStreamContext nppStreamCtx)
| One 16-bit unsigned short channel image absolute difference with constant. More...
NppStatus | nppiAbsDiffC_16u_C1R (const Npp16u *pSrc1, int nSrc1Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, Npp16u nConstant)
NppStatus | nppiAbsDiffC_32f_C1R_Ctx (const Npp32f *pSrc1, int nSrc1Step, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nConstant, NppStreamContext nppStreamCtx)
| One 32-bit floating point channel image absolute difference with constant. More...
NppStatus | nppiAbsDiffC_32f_C1R (const Npp32f *pSrc1, int nSrc1Step, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, Npp32f nConstant)

## Detailed Description

Determines absolute difference between each pixel of an image and a constant value.

## Function Documentation

NppStatus nppiAbsDiffC_16u_C1R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp16u | nConstant
| ) |  |

NppStatus nppiAbsDiffC_16u_C1R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp16u | nConstant,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit unsigned short channel image absolute difference with constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | Constant.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbsDiffC_32f_C1R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nConstant
| ) |  |

NppStatus nppiAbsDiffC_32f_C1R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nConstant,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit floating point channel image absolute difference with constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | Constant.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbsDiffC_8u_C1R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp8u | nConstant
| ) |  |

NppStatus nppiAbsDiffC_8u_C1R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp8u | nConstant,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit unsigned char channel image absolute difference with constant.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | Constant.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2018 NVIDIA Corporation